/**
 * CounterMBean is an MBean interface to a simple Fibonacci counter. Note that
 * this code is only instructional.
 */
public interface CounterMBean {
    /**
     * Gets the value of the counter.
     * 
     * @return the counter.
     */
    public int getCounter();

    /**
     * Sets the value of the counter.
     * 
     * @param counter
     *            the counter.
     */
    public void setCounter(int counter);

    /**
     * Counts the Fibonacci number specified by the counter.
     * 
     * @return a Fibonacci number.
     */
    public int count();
}