package tomp.ucebnice.kolekce;

import java.util.*;

public class SortedSetDemoOK {
    public static void main(String[]  args) {
        
        // vytvome uspodanou mnoinu
        SortedSet um = new TreeSet();
        
        // naplnme ji temi lidmi
        Clovek c1 = new Clovek("Josef", "Vykoukal");
        um.add(c1);
        
        Clovek c2 = new Clovek("Dalimil", "Brabec");
        um.add(c2);
        
        Clovek c3 = new Clovek("Viktor", "Kotrba");
        um.add(c3);
        
        for(Iterator i = um.iterator(); i.hasNext(); ) {
            // zskej dal objekt: je to lovk, me petypovat
            Clovek c = (Clovek)i.next();
            c.vypisInfo();
        }
    }    
    static class Clovek implements Comparable {
        String jmeno, prijmeni;
        Clovek (String j, String p) {
            jmeno = j;
            prijmeni = p;
        }
        public void vypisInfo() {
            System.out.println("Clovek "+jmeno+" "+prijmeni);
        }
        public int compareTo(Object o) {
            if (o instanceof Clovek) {
                Clovek c = (Clovek)o;
                return prijmeni.compareTo(c.prijmeni);
            } else
                throw new IllegalArgumentException(
                "Nelze porovnat objekt typu Clovek s objektem jineho typu");
        }
    }
}