package tomp.ucebnice.modifikatory;
public class MetodaPromennaStatic {
    public int citac = 0;	      // promnn instance
    public static int citacStatic = 0; // promnn tdy (statick)

    public static void prictiStatic(int i) {
        // nelze, "citac" je promnn instance
        // a tato metoda je statick
        // citac += i;
        // OK, "citacStatic" je take statick
        citacStatic += i;
        System.out.println(
            "prictiStatic: k staticke prom. citacStatic pricteno "+i);
    }
    public void pricti(int i) {
        // OK, citac je promnn instance
        citac += i;
        System.out.println(
            "pricti: k prom. citac pricteno "+i);
        // OK, citacStatic je promnn tdy,
        // tj. vech instanc
        citacStatic += i;
        System.out.println(
            "pricti: k staticke prom. citacStatic pricteno "+i);
    }
    public static void main(String[] args ) {
        MetodaPromennaStatic o1 = new MetodaPromennaStatic();
        o1.pricti(2);
        // jen "pricti(2)" by nelo!
        MetodaPromennaStatic o2 = new MetodaPromennaStatic();
        o2.pricti(10);
        prictiStatic(3);
        // o1.prictiStatic(3) by lo, ale je to matouc
        System.out.println("o1.citac="+o1.citac);
        System.out.println("o2.citac="+o2.citac);
        System.out.println(
            "MetodaPromennaStatic.citacStatic="
            +MetodaPromennaStatic.citacStatic);
    }
}
