package tomp.ucebnice.posta;
import java.util.Properties;
import javax.mail.Session;
import javax.mail.Transport;
import javax.mail.Message;
import javax.mail.internet.MimeMessage;
import javax.mail.internet.InternetAddress;
public class OdesliPostu {
    public static void main (String args[])
    throws Exception {
        if (args.length != 3)
            throw new IllegalArgumentException(
                "\nSpout se: java OdesliPostu <smtp-server> "
                + "<adresa od koho> <adresa komu>");
        String smtpServer = args[0];
        String od = args[1];
        String komu = args[2];
        // zjisti systmov nastaven
        Properties props = System.getProperties();
        // nastav adresu SMTP serveru
        props.put("mail.smtp.host", smtpServer);
        // vytvo relaci (Session)
        Session session = Session.getDefaultInstance(props, null);
        // Vytvo novou zprvu
        MimeMessage message = new MimeMessage(session);
        // Nastav adresy odeslatele, pjemce
        message.setFrom(new InternetAddress(od));
        message.addRecipient(Message.RecipientType.TO,
          new InternetAddress(komu));
        // Nastav titulek (Subject) a text zprvy
        message.setSubject("Pozdrav z JavaMailu");
        message.setText("Zdravime prvni zpravou z JavaMailu!");
        // Poli zprvu
        Transport.send(message);
    }
}