import java.util.*;

public class LetImpl
{
	HashMap rezervace;
	int kapacita;
	String odkud,kam;

	public LetImpl(String odkud, String kam, int kolik)
	{
		this.kapacita=kolik;
		this.odkud=odkud;
		this.kam=kam;
		rezervace=new HashMap(kolik);
	}

	public void rezervuj(String jmeno, int kolik) throws LetObsazen
	{
		if(kolik>kapacita)throw new LetObsazen("V letu neni "+kolik+" volnych mist ("+kapacita+")\n");
		if(!rezervace.containsKey(jmeno))
			rezervace.put(jmeno,new Integer(kolik));
		else
		{
			int mel=((Integer)rezervace.get(jmeno)).intValue();
			rezervace.remove(jmeno);
			rezervace.put(jmeno, new Integer(mel+kolik));
		}
		kapacita-=kolik;
	}

	public void zrusRezervace(String jmeno) throws NeniRezervace
	{
		if(!rezervace.containsKey(jmeno))throw new NeniRezervace("V letu neni rezervace na jmeno "+jmeno);
		int kolik=((Integer)rezervace.get(jmeno)).intValue();
		rezervace.remove(jmeno);
		kapacita+=kolik;
	}

	public String toString()
	{
		String rv="Let z "+odkud+" do "+kam+"\n========================\n";

		for(Iterator it=(Iterator)rezervace.keySet().iterator();it.hasNext();)
		{
			String jmeno=(String)(it.next());
			int kolik=((Integer)rezervace.get(jmeno)).intValue();
			rv+=jmeno+"\t"+kolik+"\n";
		}
		rv+="===========================\n";
		return rv;
	}
	
	public void vypis()	
	{
		System.out.println(this);
	}
}
	
