package linkymhd;

import java.util.*;

public class Linka{ 
   private int cisloLinky; 
   private LinkedList zastavky; 
   private LinkedList odjezdy; 

   public Linka(int cL){
      cisloLinky = cL;
      zastavky = new LinkedList();
      odjezdy = new LinkedList();
   }

   public void pridatZastavku(String nazev, int doba){
      zastavky.add((Object)(new Cas(0, doba)));
      zastavky.add((Object)nazev);
   }

   public void pridatOdjezd(int hh, int mm){
      odjezdy.add((Object)(new Cas(hh, mm)));
   }

   public void vypsatJizdniRad(String zastavka, int hh, int mm){
      int d = 0, c = 0, cc = 0;
      boolean nenalezeno = true;
      ListIterator i, j;

      i = zastavky.listIterator();
      while(
         i.hasNext() && nenalezeno
      ){
         d += ((Cas)(i.next())).minuty();
         nenalezeno = !zastavka.equals((String)(i.next()));
      }
      if(
         nenalezeno
      ){
         System.out.print("Zastavka " + zastavka 
                          + " na lince cislo " + cisloLinky + " neni.\n\n\n");
      }else{
         System.out.print("Jizdni rad linky cislo " + cisloLinky 
                          + " od zastavky " + zastavka + " po " 
                          + Cas.vypisCasu(0, hh, mm) + ":\n");
         j = odjezdy.listIterator();
         if(
            j.hasNext()
         ){
            cc = c = ((Cas)(j.next())).cekani(d, hh, mm);
         }
         while(
            j.hasNext() && (c < 0)
         ){
            c = ((Cas)(j.next())).cekani(d, hh, mm);
         }
         if(
            c < 0
         ){
            c = 1440 + cc;
         }
         System.out.print("   " + Cas.vypisCasu(c, hh, mm)
                          + "  " + zastavka + "\n");
         while(
            i.hasNext()
         ){
            System.out.print("   " + ((Cas)(i.next())).vypis(c, hh, mm)
                             + "  " + ((String)(i.next())) + "\n");
         }
         System.out.print(" * * * * * * * * *\n\n Budete cekat " + Cas.vypisCasu(c, 0, 0) + ".\n\n\n");
      }
   }
}
