import java.io.PrintWriter;
import java.util.*;

public class UniversityImpl implements University {
    private List kurzy;

    public UniversityImpl(){
        kurzy = new ArrayList();
    }

    public Course createCourse(String code, String name, String description) throws InvalidCourseException {
        for (Iterator i = kurzy.iterator(); i.hasNext();) {
            Course z = (Course)i.next();
            if (z.getCode().equals(code)) {
                throw new InvalidCourseException();
            }
        }
        Course kurz = new CourseImpl(code, name, description);
        kurzy.add(kurz);
        return kurz;
    }    

    public void listCourses(PrintWriter p){
        for (Iterator i = kurzy.iterator(); i.hasNext();) {
            Course z = (Course)i.next();
                p.write(z.getCode()+" "+z.getName());
        }

    }

    public boolean containsCourse(Course c){
        return kurzy.contains(c);
    }

    public void removeCourse(Course c) throws InvalidCourseException{
        if (! kurzy.contains(c)) throw new InvalidCourseException();
        kurzy.remove(c);
    }
} 
