import java.util.*;
public class Aerolinky 
{
	HashMap lety;
	String sidlo;
	
	public Aerolinky(String sidlo)
	{
		this.sidlo=sidlo;
		lety=new HashMap();
	}

	public void pridejLet(String kam, int kolik)
	{
		if(!lety.containsKey(kam))
		{
			lety.put(kam, new Let(sidlo,kam,kolik));
		}
	}
	
	public void zrusLet(String kam)
	{
		if(!lety.containsKey(kam))throw new NeniLet("Do "+kam+" neletame.");
		lety.remove(kam);
	}

	public void rezervuj(String kam,String kdo)throws NeniLet, LetObsazen
	{
		if(!lety.containsKey(kam))throw new NeniLet("Do "+kam+" neletame.");
		Let rezerv=(Let)lety.get(kam);
		rezerv.rezervuj(kdo,1);
	}

	public void zrus(String kam, String kdo)throws NeniLet, NeniRezervace
	{
		if(!lety.containsKey(kam))throw new NeniLet("Do "+kam+" neletame.");
		Let rezervace=(Let)lety.get(kam);
		rezervace.zrusRezervaci(kdo);
	}

	public void vypis()
	{
		System.out.println("Vypis letu\n=============");
		for(Iterator it=lety.keySet().iterator();it.hasNext();)
		{
			String l=(String)it.next();
			((Let)lety.get(l)).vypis();
			System.out.println("--------------");
		}
		System.out.println("=======================");
	}		
}
