public interface Aerolinky 
{

	/**
		Vytvo a pid nov let do destinace <b>kam</b> s kapacitou <b>kolik</b> do seznamu letu.
	*/
	public void pridejLet(String kam, int kolik);
	
	/**
		Zrusi let do destinace <b>kam</b>
	*/
	public void zrusLet(String kam)throws NeniLet;


	/**
		Rezervuje v letu <b>kam</b> <b>kolik</b> mist na jmeno <b>jmeno</b>.
		V pripade, ze spolecnost do destinace <b>kam</b> neleta vyvola se vyjimka NeniLet. V pripade, ze v letu <b>kam</b> neni <b>kolik</b> volnych mist vyvola se vyjimka LetObsazen.
	*/
	public void rezervuj(String kam,String kdo,int kolik)throws NeniLet, LetObsazen;

	/**
		Zrusi rezervace na jmeno <b>kdo</b> do destinace <b>kam</b>.
		V pripade, ze spolecnost do destinace <b>kam</b> neleta vyvola se vyjimka NeniLet.
		V pripade, ze osoba <b>kdo</b> nema v danem letu rezervovane misto vyvola se vyjimka NeniRezervace.
	*/	
	public void zrus(String kam, String kdo)throws NeniLet, NeniRezervace;

	/**
		Vypis informace o spolecnosti:
		jmeno
		sidlo 
		seznam vsech dostupnych destinaci vcetne rezervaci na prislusne lety
	*/
	public void vypis();
}
