package tomp.ucebnice.fonty;
import java.awt.Font;
import java.awt.GraphicsEnvironment;
import java.io.IOException;
import java.io.OutputStreamWriter;
import java.io.PrintWriter;
public class Fonty2 {
    public static void main(String[] args) 
    throws IOException {
        String znaky = (args.length == 0) ? "̊؎" : args[0];
        int delka = znaky.length();
        PrintWriter pw = new PrintWriter(
            new OutputStreamWriter(System.out, "Cp852"));
        GraphicsEnvironment ge 
           = GraphicsEnvironment.getLocalGraphicsEnvironment(); 
        Font[] dostupneFonty = ge.getAllFonts();
        for (int i = 0; i < dostupneFonty.length; i++) {
            Font font = dostupneFonty[i];
            int zobraziPo = font.canDisplayUpTo(znaky);
            pw.println("Font="+font.getName());            
            pw.println("Fyzick font="+font.getFontName());            
            pw.println("Rodina="+font.getFamily());            
            pw.println("Velikost v pixelech="+font.getSize());            
            pw.println("Me zobrazit vsechno ze znak ("
                + znaky + ")? "
                + (zobraziPo == delka ? "ano": ("ne, zobraz po znak " 
                    + zobraziPo)));            
            pw.println("-----");
        }
    }
}