package tomp.ucebnice.klonovani;
class ObjektSHlubokouKopii implements Cloneable {
    public VnitrniObjekt vo;
    ObjektSHlubokouKopii() {
        vo = new VnitrniObjekt();
    }
    public Object clone() throws CloneNotSupportedException {
        ObjektSHlubokouKopii k = (ObjektSHlubokouKopii)super.clone();
        k.vo = (VnitrniObjekt)vo.clone();
        return k;
    }
}
class ObjektSMelkouKopii implements Cloneable {
    public VnitrniObjekt vo;
    ObjektSMelkouKopii() {
        vo = new VnitrniObjekt();
    }
    public Object clone() throws CloneNotSupportedException {
        return super.clone();
    }
}
public class KlonovaniHluboke {
    public static void main(String args[]) throws Exception {
        ObjektSHlubokouKopii h1 = new ObjektSHlubokouKopii();
        ObjektSHlubokouKopii h2 = (ObjektSHlubokouKopii)h1.clone();
        ObjektSMelkouKopii m1 = new ObjektSMelkouKopii();
        ObjektSMelkouKopii m2 = (ObjektSMelkouKopii)m1.clone();
        System.out.println("h1.vo == h1.clone().vo? " + (h1.vo == h2.vo));
        System.out.println("m1.vo == m1.clone().vo? " + (m1.vo == m2.vo));
    }
}