package tomp.ucebnice.kolekce;

import java.util.*;

public class SortedMapDemo {
    public static void main(String[]  args) {
        
        // vytvome mapu
        SortedMap sm = new TreeMap();
        
        // naplnme ji temi lidmi
        Clovek c1 = new Clovek("Josef", "Vykoukal");
        sm.put(c1.prijmeni, c1);
        
        Clovek c2 = new Clovek("Dalimil", "Brabec");
        sm.put(c2.prijmeni, c2);
        
        Clovek c3 = new Clovek("Viktor", "Kotrba");
        sm.put(c3.prijmeni, c3);

        // projdi abecedn vechny lidi v map   
        // proto je teba zskat itertor nad mnoinou kl
        for(Iterator i = sm.keySet().iterator(); i.hasNext(); ) {
            String prij = (String)i.next();
            Clovek c = (Clovek)sm.get(prij);
            c.vypisInfo();
        }
    }    
    static class Clovek {
        String jmeno, prijmeni;
        Clovek (String j, String p) {
            jmeno = j;
            prijmeni = p;
        }
        public void vypisInfo() {
            System.out.println("Clovek "+jmeno+" "+prijmeni);
        }
    }
}