package tomp.graphs.traversal;

import tomp.graphs.*;
import java.io.*;

public class HandlerTraversal extends Traversal {

    protected NodeHandler handler;

    public void depthFirst(Graph graph, int startNode, NodeHandler h)
    throws GraphException {
        init(graph);
        handler = h;
        doNodeDF(startNode);
    }

    protected boolean visit(int node) throws GraphException {
        return handler.visit(g, node); // pokraovat, pokud to chce handler
    }
}