package tomp.ucebnice.components;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

/**
 * Prvn zpsob definovn a vytven hlavnho okna aplikace:
 * okno je potomkem JFrame (vdy) a vytvo se v metod main
 * t stejn tdy. 
 * Tato metoda je spoutem celho pg.
 */
public class GridLayoutDemo1 extends JFrame {
	
    public static void main(String[] args) {
	new GridLayoutDemo1().show();
    }
    
    public GridLayoutDemo1() {
    	
    	// konstruktor pedka kvli nastaven nzvu okna
    	super("GridLayoutDemo1");
    	
    	setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
    	
	// toto bude vnitek hlavnho okna
	JPanel p = new JPanel();
	    
	// rozmstn komponent do pravideln mky, parametry:
	// prvn dvojice: poet dk/sloupc
	// druh dvojice: rozte (mezera) mezi prvky
	p.setLayout(new GridLayout(2, 3, 10, 10));
	
	// prvn tlatko doleva ... atd.
	JButton jb1 = new JButton("Prvn");
	p.add(jb1, 1);
	    
	JButton jb2 = new JButton("Druh");
	p.add(jb2);
	    
	JButton jb3 = new JButton("Tet");
	p.add(jb3);
	    
	JButton jb4 = new JButton("tvrt");
	p.add(jb4);
	    
	JButton jb5 = new JButton("Pt");
	p.add(jb5);
	
	// te teprve pidme panel do hlavnho okna
	setContentPane(p);

        // a upravme velikost, aby se tam vechno velo
	pack();
    }
    
}	