package tomp.ucebnice.komentare;

/** Tento program ukazuje monosti komentovn javovho programu:
   * tento koment bude viditeln v dokumentaci API generovan nstrojem
   * javadoc.
   * Podle nastaven <tt>javadoc</tt> meme vygenerovat jen dokumentaci
   * k veejn pstupnm (<tt>public</tt>) a chrnnm (<tt>protected</tt>)
   * tdm a jejim prvkm nebo i k prvkm soukromm (<tt>private</tt>).
   */

public class PouzitiJavadoc1 {
    /*
     Takov koment pli nepouvme, je dlouh,
     ale pitom nen toti zachytiteln nstrojem javadoc
     a neobjev se v generovan dokumentaci API.
     */
    public static int cislo = 0; // takto meme strun popsat vznam promnn "cislo"

    /** A takto promnnou "slo" popeme,
     * aby se popis objevil v dokumentaci API.
     * Hvziky na zatcch dk se do dokumentace nepenesou.
     */
    protected static int slo = 1;

    /** Toto je korektn javadoc koment promnn
     *   "slo", kter se vak v dokumentaci API standardn
     * neobjev, protoe se tk soukrom (private) promnn.
     * Meme jej vak zviitelnit volbou <tt>-private</tt> pi spoutn
     * nstroje <tt>javadoc</tt>.
     */
    private static int slo = 2;

    /**
     Toto komentuje metodu "main".
     Je mon popsat i jej parametry (argumenty):
     @param args argumenty zadan pi spoutn programu na pkazov dek
     */
    public static void main(String[] args) {
        System.out.println(cislo);
        System.out.println(slo);
        System.out.println(slo);
    }
}