package tomp.ucebnice.konstruktory;

class A {
    // Uloha: co kdybychom do konstruktoru pridali parametr???
    A() {
        System.out.print("konstruktor A, ");
    }
}

/** pri konstrukci objektu typu B se vzdy zavola 
 *  bezparametricky konstruktor ze tridy A
 */
class B extends A {
    B() {
    	this(10);
    }
    B(int c) {
        System.out.print("konstruktor B s param c="+c);
    }
}

/** ma jen implicitni konstruktor, pri konstrukci objektu
 *  se tedy zavola bezparametricky konstruktor ze tridy B
 */
class C extends B {
}

public class KonstrPredka {
    public static void main(String[] args) {

        System.out.print("Vznika B bez parametru: ");
        B b = new B();

        System.out.print("\nVznika B s parametrem = 5: ");
        b = new B(5);

        System.out.print("\nVznika C: ");
        C c = new C();
    }
}