package tomp.ucebnice.metody;

class AA {
    void metoda() {
	System.out.print("metoda AA ");
    }
}

/** Metodu predka lze prekryt
  */
class BB extends AA {
    void metoda() {
	System.out.print("metoda BB ");
    }
}

/** Prava prekryvajici metoda muze zesilit
  * (zvetsit), napr. lokalni v baliku - chranena
  */
class CC extends BB {
    void metoda() {
    	super.metoda(); // vyuzivam prekryvane metody
	System.out.print("metoda CC ");
    }
}

public class Prekryti {
    public static void main(String[] args) {

        System.out.print("\nObjekt tridy AA: ");
        AA a = new AA();
        a.metoda();

        System.out.print("\nObjekt tridy BB: ");
        BB b = new BB();
        b.metoda();

        System.out.print("\nObjekt tridy CC: ");
        CC c = new CC();
        c.metoda();

        System.out.print("\nObjekt tridy BB deklarovany jako AA: ");
        AA jakoAA = new BB();
        jakoAA.metoda(); // ???
    }
}