package tomp.ucebnice.metody;

/** Staticka metoda se bude volat podle 
  * deklarovaneho (compile-time) typu
  */
class BBB {
    static void metoda() {
	System.out.print("staticka metoda BBB ");
    }
}

class CCC extends BBB {
    static void metoda() {
	System.out.print("staticka metoda CCC ");
    }
}

public class PrekrytiStaticke {
    public static void main(String[] args) {

        System.out.print("\nObjekt tridy BBB: ");
        BBB b = new BBB();
        b.metoda();

        System.out.print("\nObjekt tridy CCC: ");
        CCC c = new CCC();
        c.metoda();

        System.out.print("\nObjekt tridy CCC deklarovany jako BBB: ");
        BBB jakoBBB = new CCC();
        jakoBBB.metoda(); // ??? ktera
    }
}