package tomp.ucebnice.rozhrani;

import tomp.ucebnice.zaklady.Person;

interface VydavajiciZvuky {
        void ozviSe();
}

interface Stekajici extends VydavajiciZvuky {
        void stekej();
}

interface Kousajici {
        void hryzni(Person p);
}

class Pes implements Stekajici, Kousajici {
        public void stekej() {
                System.out.println("Pes: haf!");
        }       
        public void hryzni(Person p) {
                System.out.println("Pes: hryzl cloveka "+p);
        }       
        public void ozviSe() {
                stekej();
        }
}

class Pistalka implements VydavajiciZvuky {
        public void piskej() {
                System.out.println("Pistalka: piiiisk!");
        }       
        public void ozviSe() {
                piskej();
        }
}

class Fletna extends Pistalka {
        public void hraj() {
                System.out.println("Fletna: hraj!");
        }       
        public void piskej() {
                System.out.println("Fletna: piiiisk!");
        }       
}

public class Demo3 {
        
    public static void main(String[] args) {
        VydavajiciZvuky p = new Pistalka();
        p.ozviSe();
        
        VydavajiciZvuky q = new Fletna();
        q.ozviSe();
        
        Pes r = new Pes();
        r.ozviSe();
        r.hryzni(new Person("Libor Polak"));
        
    }
}
