package tomp.ucebnice.testovani.junitdoclet;

public class Searcher {
    
    private double[] data;
    
    public void setData(double[] d) {
        data = d;
    }
    
    public double[] getData() {
        return data;
    }
    
    public double minimum() {
        if (data == null || data.length == 0) {
            throw new IllegalStateException(
                "Cannot find minimum is empty or nonexistent array");
        }
            
        int minIndex = 0;
        for (int i = 1; i < data.length; i++) {
            if (data[i] < data[minIndex]) {
                minIndex = i;
            }
        }
        return data[minIndex];
    }
}