package tomp.ucebnice.vlastnosti;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.util.Properties;
public class Vlastnosti {
    private String nazev;
    private Properties p;
    private File soubor;
    public Vlastnosti(String nazev, String jmenoSouboru) 
    throws IOException {
        this.nazev = nazev;
        p = new Properties();
        soubor = new File(jmenoSouboru);
    }
    public void nacti() throws IOException {
        FileInputStream i = new FileInputStream(soubor);
        p.load(i);
        i.close();
    }
    public void zapis() throws IOException {
        FileOutputStream o = new FileOutputStream(soubor);
        p.store(o, nazev);
        o.close();
    }
    public void ukaz() {
        System.out.println(".....\n"+nazev);
        p.list(System.out);
    }
    public void pridej(String klic, String hodnota) {
        p.setProperty(klic, hodnota);
    }
    public static void main(String args[]) 
    throws IOException {
        Vlastnosti v = new Vlastnosti(
            "Moje vlastnosti", "moje.properties");
        v.pridej("klic1", "hodnota1");
        v.pridej("klic2", "hodnota2");
        v.zapis();
        v.ukaz();
        
        Vlastnosti w = new Vlastnosti(
            "Moje druhe vlastnosti", "moje.properties");
        w.nacti();
        w.ukaz();
    }
}