/*
 * Person.java
 *
 * Created on 9. erven 2003, 17:09
 */

package tomp.ucebnice.zaklady;

/**
 * @author tomp
 * @version
 */
public class Person {
    
    private String name;
    
    private int age;
    
    private double salary;
    
    /** Creates a new instance of Person */
    public Person() {
    }
    
    /** Creates a new instance of Person */
    public Person(String aName) {
        name = aName;
    }
    
    /** Shows this Person basic data.
     */    
    public void show() {
        System.out.println(this);
    }

    public String toString() {
        return name+" (vek "+age+", plat "+salary+")";
    }
    
    /** Getter for property salary.
     * @return Value of property salary.
     */
    public double getSalary() {
        return this.salary;
    }
    
    /** Sets the Person's salary.
     * @param salary New value of property salary.
     */
    public void setSalary(double salary) {
        this.salary = salary;
    }
    
    /** Getter for property name.
     * @return Value of property name.
     */
    public java.lang.String getName() {
        return name;
    }
    
    /** Setter for property name.
     * @param name New value of property name.
     */
    public void setName(java.lang.String name) {
        this.name = name;
    }
    
    public int getAge() {
        return age;
    }
    
    public void setAge(int age) {
        this.age = age;
    }
    
}
