rem set WHAT=pb162-slides-b

set slides.base.url=http://www.fi.muni.cz/~tomp/slides/css

rem set html.stylesheet=%slides.base.url%/freebsd-docbook.css
set html.stylesheet=%slides.base.url%/brunov-docbook.css

set l10n.gentext.default.language=cs

set DOCBOOK_EXT=\devel\docbook-custom

set DOCBOOK_STYLE=%DOCBOOK_EXT%\html\htmlcode-cs-docbook.xsl
rem set DOCBOOK_STYLE=%DOCBOOK_HOME%\html\profile-docbook.xsl

set JEDIT_LIB=\devel\jedit4.0\jedit.jar
set CODE2HTML_LIB=%DOCBOOK_EXT%\code2html\src

set WHAT=%1
set DOCBOOK_HOME=\devel\docbook-xsl-1.62.0
set SAXON=\devel\saxon6.5.2\saxon.jar
set RESOLVER=\devel\xml-commons-resolver-1.0\resolver.jar
cd build

java -classpath .;%SAXON%;%RESOLVER% com.icl.saxon.StyleSheet -o printable-before-xi.xml -x org.apache.xml.resolver.tools.ResolvingXMLReader -y org.apache.xml.resolver.tools.ResolvingXMLReader -r org.apache.xml.resolver.tools.CatalogResolver ..\%WHAT%.xml ..\xslt\slides2book.xsl

java -classpath \devel\xtcl\src;\devel\xincluder-fi;\devel\xp\distrib\xp.jar;\devel\jade-5.2\jade.jar;\devel\pcj-1.2\pcj.jar;\devel\commons-logging-1.0.2\commons-logging.jar;\devel\xml-commons-resolver-1.0\resolver.jar;\devel\joost-20030623\joost.jar;\devel\saxfilter;\devel\saxon7.4\saxon7.jar;.;\devel\bajie\jzHttpSrv.jar tomp.xtcl.XTCL -f xinclude.xcf

java -classpath .;%JEDIT_LIB%;%CODE2HTML_LIB%;%SAXON%;%RESOLVER% com.icl.saxon.StyleSheet -o printable.html -x org.apache.xml.resolver.tools.ResolvingXMLReader -y org.apache.xml.resolver.tools.ResolvingXMLReader -r org.apache.xml.resolver.tools.CatalogResolver printable.xml %DOCBOOK_STYLE% 
cd ..

rem html.stylesheet=%html.stylesheet% l10n.gentext.default.language=%l10n.gentext.default.language%
