package cz.muni.fi.xpavlov.calc;

public class Calculator
{
    protected int battery;
    protected String label;
    
    public Calculator(int battery, String label)
    {
        this.battery = battery;
        this.label = label;
    }
    
    public double plus(double a, double b)
    {
    	if (lowerBattery(1) != 0)
    	  return -1;
    	  
        return a+b;
    }
    
    public double minus(double a, double b)
    {
        if (lowerBattery(1) != 0)
          return -1;
          
        return a-b;
    }
    
    public String getLabel()
    {
        return label;
    }
    
    public int getBattery()
    {
        return battery;
    }
    
    protected int lowerBattery(int amount)
    {
        if (battery-amount < 0)
          return 1;
          
        battery -= amount;
        return 0;
    }
}
