package cz.muni.fi.pa165.jdbc;

import java.sql.*;

public class ODBC {

  public static void main(String[] args)
  {

    Connection con = null;
    int iRowCount = 0;
    Statement stmt = null;

    String sDriver = "sun.jdbc.odbc.JdbcOdbcDriver";
    // String sURL = "jdbc:hsqldb:.";
    String sURL = "jdbc:odbc:javacourse"; 	
    String sUsername = "";
    String sPassword = "";

    try { 
        Class.forName( sDriver ).newInstance();
        
    } catch( Exception e ) {
    	
      System.err.println( "Failed to load driver "+sDriver);
      return;
    }

    try {

      con = DriverManager.getConnection ( sURL,
                                          sUsername,
                                          sPassword);
      stmt = con.createStatement();
    }
    catch ( Exception e)
    {
      System.err.println( "problems connecting to " + sURL + ":" );
      System.err.println( e.getMessage() );

      if( con != null)
      {
        try { con.close(); }
        catch( Exception e2 ) {
        	    	e2.printStackTrace();
        }
      }

      return;
    } // end catch

    try
    {
        ResultSet result = stmt.executeQuery(
	        "SELECT * " +
	        "FROM DATA.TXT");
	
	    while( result.next() ) {    

	        String eName = result.getString(1);
	        String eAge = result.getString(2);
	        
	        System.out.print(eName+" ");
	        System.out.println(eAge);
	
		} // end while( result.next() )
    }
    catch ( Exception e ) { 
    	e.printStackTrace();
    }
    finally {
        try {
        con.close();
        } catch(Exception e) {}
    }
  }  
}

