<?xml version="1.0" encoding="Windows-1250"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
        version="1.0">

    <xsl:param name="default-profile">
        <slides>
            <profiles>
                <security>noauth</security>
                <security>auth</security>
                <os>lecture</os>
                <os>task</os>
                <arch>html</arch>
                <arch>wml</arch>
                <userlevel>standard</userlevel>
                <condition>normal</condition>
            </profiles>
        </slides>
    </xsl:param>

    <xsl:template match="/">
        <output-config>
            <xsl:apply-templates select="*"/>
        </output-config>
    </xsl:template>

    <xsl:template match="slides">
        <output type="slides" id="{@id}" src="{@file}">
            <xsl:copy-of select="$default-profile/slides/*"/>
        </output>
    </xsl:template>

    <xsl:template match="text()|processing-instruction()|comment()">
    </xsl:template>

</xsl:stylesheet>