package tomp.ucebnice.klonovani;
import tomp.ucebnice.polozky.Polozka;
class KlonovatelnaPolozka2 extends Polozka implements Cloneable {
    KlonovatelnaPolozka2(String nazev, int pocet) {
        super(nazev,pocet);
    }
    protected Object clone() throws CloneNotSupportedException {
        return super.clone();
    }
}
public class Klonovani2 {
    public static void main(String args[]) throws Exception {
        KlonovatelnaPolozka2 q1 = new KlonovatelnaPolozka2("Mleko polotucne", 40);
        KlonovatelnaPolozka2 q2 = (KlonovatelnaPolozka2)q1.clone();
        System.out.println("q1 == q1.clone()? " + (q1 == q2));
        System.out.println("q1.equals(q1.clone())? " + q1.equals(q2));
        System.out.println("q1.hashCode() == q1.clone().hashCode()? " + (q1.hashCode() == q2.hashCode()));
        System.out.println(q1.hashCode() + " "+ q2.hashCode());
        System.out.println(q1 + " "+ q2);
        System.out.println(q1.info() + " "+ q2.info());
    }
}