package tomp.ucebnice.obchod;
public class ZboziProdejne extends Zbozi {
    protected double prirazka;
    public ZboziProdejne(String nazev, double cenaZaKus, double prirazka) {
        super(nazev, cenaZaKus);
        this.prirazka = prirazka;
    }
    public ZboziProdejne(String nazev, double cenaZaKus) {
        this(nazev, cenaZaKus, 0.15);
    }
    public double prodej(int kusu) {
        vyskladni(kusu);
        return kusu * cenaZaKus() * (1+prirazka);
    }
    public double nakup(int kusu) {
        naskladni(kusu);
        return kusu * cenaZaKus();
    }
}
