/**
 *
 * @author  petr
 */
public class CourseImpl implements Course, Comparable  {
    
    private String code;
    private String name;
    private String description;

    public CourseImpl(String code, String name, String description) {
        this.code = code;
        this.name = name;
        this.description = description;
    }    

    public String getDescription() {
        return this.description;
    }
    
    public String getCode() {
        return this.code;
    }
    
    public String getName() {
        return this.name;
    }

    public boolean equals(Object obj) {
        return 
            (obj instanceof Course) && 
            ((Course) obj).getCode() == this.getCode();
    }
    public int hashCode() {
        return this.getCode().hashCode();
    } 

    public int compareTo(Object o)
    {
	Course c = (Course) o;
	return this.getCode().compareTo(c.getCode());
    }

}