/*
                                     B

   dokumentan zapete sv jmno, account_name (= xprijmeni*) a UO.

   Do konstruktoru doplte nastaven promnn "setrideno".
   Doplte metodu najdi. Ta v neuspodan posloupnosti v poli ur
   linernm hlednm a v uspodan posloupnosti binrnm hlednm
   index hledan hodnoty, bude-li tam, nebo -1, pokud tam nebude.
   Metoda najdi vdy ohls, kterou z tch dvou monost pouila. 

   Tdu Pisemka v balku pisemka nebudete vbec mnit.

*/

package pomocne;

import java.io.*;
import java.util.*;

public class Pole{
   private float[] pole;
   private boolean chybneNacteno, setrideno;

   public Pole(String wstup){
   int in, is, j;
      
      if(
         !(wstup.equals(""))
      ){
         chybneNacteno = false;
         j = 0;
         in = -1;
         do{
            in = wstup.indexOf(' ', in + 1);
            ++j;
         }while(
            in > 0
         );
         pole = new float[j];
         in = -1;
         for(j = 0; j < pole.length - 1; ++j){
            is = in;
            in = wstup.indexOf(' ', in + 1);
            try{
               pole[j] = Float.valueOf(wstup.substring(is + 1, in)).floatValue();
            }catch(NumberFormatException n){
               pole[j] = (float)(0.0/0.0);
               System.err.print("V " + (j + 1) + ". cisle nebo za nim byly neobvykle znaky.\n");
               chybneNacteno = true;
            }
         }     
         try{
            pole[j] = Float.valueOf(wstup.substring(in + 1)).floatValue();
         }catch(NumberFormatException n){
            pole[j] = (float)(0.0/0.0);
            System.err.print("V poslednim cisle nebo za nim byly neobvykle znaky.\n");
            chybneNacteno = true;
         }
      }else{
         pole = new float[0];
         chybneNacteno = true;
      }
   }
 
   public void vypis(){
      int j;

      if(
         chybneNacteno
      ){
         System.out.print("Pole bylo chybne nacteno.\n");
      }else{
         for(j = 0; j < pole.length; ++j){System.out.print(pole[j] + " ");}
         System.out.print("\b\n");
      }
   }

   public int najdi(float hdnt){
      if(
         chybneNacteno 
      ){
         return -1;
      }else{
         System.out.print("Bylo pouzito binarni hledani.\n"); // tato hlaska ve vasem
                                                             // nebude automaticka
                                                            // ale podminena 
                                                           // a opravdu podle toho,
                                                          // ktera se pouzije
         return ?;
      }
   }

   public static float nactiHodnotu(String wstup){
      try{
         return Float.valueOf(wstup).floatValue();
      }catch(NumberFormatException n){
         System.err.print("V retezci nebo za nim byly pro floatovou hodnotu neobvykle znaky.\n");
         return (float)(0.0/0.0);
      }
   }
}
