package pisemka;

import java.io.*;
import pomocne.Datum;

public class Pisemka{
   public static void main(String[] args) {
      BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
      String vstup;
      int ii;
      Datum d0 = new Datum(), d1 = new Datum(1955, 7, 10), d2 = new Datum("1957 12 13");

      System.out.print("DenJmenem: d0(): \"" + d0.coZaDenJmenem() + "\"\n");
      System.out.print("VypisData: d0(): " + d0.dejVypisData() + "\n");
      System.out.println();
      System.out.print("DenJmenem: d1(1955, 7, 10): \"" + d1.coZaDenJmenem() + "\"\n");
      System.out.print("VypisData: d1(1955, 7, 10): " + d1.dejVypisData() + "\n");
      System.out.println();
      System.out.print("DenJmenem: d2(1957, 12, 13): \"" + d2.coZaDenJmenem() + "\"\n");
      System.out.print("VypisData: d2(1957, 12, 13): " + d2.dejVypisData() + "\n");
      System.out.println();
      d1.nastavDatumCisly(1987, 7, 24);
      System.out.print("DenJmenem: d1(1987, 7, 24): \"" + d1.coZaDenJmenem() + "\"\n");
      System.out.print("VypisData: d1(1987, 7, 24): " + d1.dejVypisData() + "\n");
      System.out.println();
      d2.nastavDatumRetezcem("1989 8 11");
      System.out.print("DenJmenem: d2(1989, 8, 11): \"" + d2.coZaDenJmenem() + "\"\n");
      System.out.print("VypisData: d2(1989, 8, 11): " + d2.dejVypisData() + "\n");
      System.out.println();
      do{
         System.out.print("Zadejte datum po roce 1599, "
         + "jako cela cisla znamenajici rok mesic den_v_mesici\n"
         + "oddelena vzdy jednou mezerou, anebo stisknete [Enter] pro ukonceni: ");
         try{
            vstup = br.readLine().trim();
            d0.nastavDatumRetezcem(vstup);
            if(
               !(vstup.equals(""))
            ){
               System.out.print(d0.coZaDenJmenem() + "\n");
               System.out.print(d0.dejVypisData() + "\n");
               System.out.println();
            }
         }catch(IOException e){
            System.out.print("Vznikla neupresnena chyba pri cteni.\n");
            vstup = "";            
         }
      }while(
          !(vstup.equals(""))
      );
      try{
         br.close();
      }catch(IOException e){
         System.out.print("Vznikla neupresnena chyba pri zavirani vstupu.\n");
      }
   }
}