import vektor.*;
import junit.framework.*;
import java.util.*;

public class TestVektor extends TestCase
{
	Vektor v1,v2;
	int[] iv1,iv2;

	public static void main(String[] args)
	{
		junit.swingui.TestRunner.run(TestVektor.class);
	}
	
	public void setUp()
	{
		Random r=new Random();
		int n=r.nextInt(4)+1;

		iv1=new int[n];
		iv2=new int[n];

		for(int i=0;i<n;i++)
		{
		  iv1[i]=r.nextInt(4);
		  iv2[i]=r.nextInt(4);
		}
	
		v1=new Vektor(iv1);
		v2=new Vektor(iv2);
	
		v1.vypis();
		v2.vypis();
	}

	public void testKrat()
	{
		int vysl=v1.krat(v2);
		int testvysl=0;

		System.out.println("Vysledek je"+vysl);

		for(int i=0;i<v1.data().length;i++)
		{
			testvysl+=v1.data()[i]*v2.data()[i];
		}
	
		assertEquals("Spatny soucet",testvysl,vysl);
	}
	
	public void tearDown()
	{
		iv1=null;
		iv2=null;
		v1=null;
		v2=null;
	}
}	
		
