import java.util.*;

public class Faktura extends MaDPH {
	
	private Firma partner;
	private List polozky;

	public Faktura(Firma partner) {
		this.partner = partner;
		polozky = new ArrayList();
	}
	
	public void add(Polozka p) {
		polozky.add(p);
	}
	
	public double getZaklad22() {
		Iterator i = polozky.iterator();
		double suma = 0;
		while (i.hasNext()) {
			Polozka p = (Polozka)i.next();
			suma += p.getZaklad22();
		}
		return suma;
	}

	public double getZaklad5() {
		Iterator i = polozky.iterator();
		double suma = 0;
		while (i.hasNext()) {
			Polozka p = (Polozka)i.next();
			suma += p.getZaklad5();
		}
		return suma;
	}

	public String toString() {
		return "Faktura s "+polozky.size()+" polozkami.";
	}
}	
