package tomp.ucebnice.obchod;
import tomp.ucebnice.polozky.Polozka;
public class Zbozi extends Polozka {
    private double cenaZaKus;
    public Zbozi(String nazev, int pocet, double cenaZaKus) {
        super(nazev, pocet);
        this.cenaZaKus = cenaZaKus;
    }
    public Zbozi(String nazev, double cenaZaKus) {
        this(nazev, 0, cenaZaKus);
    }
    public void vyskladni(int kusu) {
        if (pocet >= kusu)
            pocet -= kusu;
        else
            throw new IllegalArgumentException(
                "Tolik kusu neni na sklade, mam "+
                pocet + " chci " + kusu);
    }
    public void naskladni(int kusu) {
        pocet += kusu;
    }
    public int kusuNaSklade() {
        return pocet;
    }
    public double cenaZaKus() {
        return cenaZaKus;
    }
    public void zmenCenu(double novaCenaZaKus) {
        cenaZaKus = novaCenaZaKus;
    }
}