package tomp.ucebnice.posta;
import javax.mail.*;
import javax.mail.internet.*;
import java.util.Properties;
import java.util.StringTokenizer;
import javax.swing.*;
class JednoduchyAutentizator extends Authenticator {
  public PasswordAuthentication
      getPasswordAuthentication() {
    String zadano = JOptionPane.showInputDialog(
      "Zadej 'jmeno,heslo'");
    StringTokenizer st =
      new StringTokenizer(zadano, ",");
    String jmeno = st.nextToken();
    String heslo = st.nextToken();
    return new PasswordAuthentication(
      jmeno, heslo);
  }
}
public class PrectiPostu {
  public static void main (String args[])
      throws Exception {
    if (args.length != 1)
        throw new IllegalArgumentException(
            "\nSpout se: java PrectiPostu <pop3-server> ");
    String pop3Server = args[0];
    Properties props = System.getProperties();
    props.put("mail.pop3.host", pop3Server);
    // Vytvo autentiztor
    Authenticator aut = new JednoduchyAutentizator();
    // Otevi relaci se zadanm POP3 serverem
    Session relace =
      Session.getDefaultInstance(props, aut);
    // Zpstupni loit zprv
    Store sklad = relace.getStore("pop3");
    sklad.connect();
    // Zpstupni sloku pchozch zprv (INBOX)
    Folder slozka = sklad.getFolder("INBOX");
    slozka.open(Folder.READ_ONLY);
    // Zskej a vypi seznam zprv
    Message zpravy[] = slozka.getMessages();
    for (int i = 0; i < zpravy.length; i++) {
        Message zprava = zpravy[i];
        System.out.println((i + 1)
         + ". Od: "
         + zprava.getFrom()[0]
         + "\t Vc: "
         + zprava.getSubject());
        System.out.println(
         zprava.getContent());
    }
    // Uzavi spojen
    slozka.close(false);
    sklad.close();
  }
}
