package tomp.dyngraphs;

import tomp.graphs.GraphException;

import java.util.*;

public interface Graph {

    Set nodes();
    void addNode(Node node);
    boolean hasNode(Node node);
    void removeNode(Node node) throws GraphException;
    Set neighbors(Node node) throws GraphException;

    boolean hasEdge(Node start, Node end) throws GraphException;
    void setEdge(Node start, Node end) throws GraphException;
    void removeEdge(Node start, Node end) throws GraphException;
}