package tomp.searching2;

public class LinearSearcherMinMax extends LinearSearcher implements SearcherMinMax {

    public int indexOfMin() {
        if (items.length == 0)
            return -1;

        int minAt = 0;
        for (int i = 0; i < items.length; i++) {
            if (items[i] < items[minAt]) {
                minAt = i;
            }
        }
        return minAt;
    }

    public int indexOfMax() {
        if (items.length == 0)
            return -1;

        int maxAt = 0;
        for (int i = 0; i < items.length; i++) {
            if (items[i] > items[maxAt]) {
                maxAt = i;
            }
        }
        return maxAt;
    }
}
