package tomp.sorting;

public class QuickSorter {

    // sem doplnit vhodnou promnnou (pole),
    // kter bude uchovvat
    // prvky azen struktury
    protected float[] items;

    // sem doplnit vhodn konstruktor
    // ...nen nutn

    // metoda nastavujc obsah azenho pole
    public void set(float[] content) {
        items = content;
    }

    // metoda zskvajc obsah seazenho pole
    public float[] get() {
        return items;
    }

    // sort - uspodn pole vzestupn
    public void sort() {
        quickSort(0, items.length - 1);
    }

    // metoda je napmo nepstupn,
    // pouv ji jen sort()
    private void quickSort(int left, int right) {
        if (left < right) {
            int i = left;
            int j = right;
            while (i < j) {
                while (items[j] > items[left]) j--;
                while (i < j && items[i] <= items[left]) i++;
                if (i < j)
                    swap(i, j);
            }
            swap(left, j);
            quickSort(left, j-1);
            quickSort(j+1, right);
        }
    }

    // swap - prohod hodnoty na indexech i, j
    // nen public!
    protected void swap(int i, int j) {
        float pom = items[i];
        items[i] = items[j];
        items[j] = pom;
    }
}
