package tomp.ucebnice.components;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

/**
 * Prvn zpsob definovn a vytven hlavnho okna aplikace:
 * okno je potomkem JFrame (vdy) a vytvo se v metod main
 * t stejn tdy. 
 * Tato metoda je spoutem celho pg.
 */
public class BorderLayoutDemo1 extends JFrame {
	
    public static void main(String[] args) {
	new BorderLayoutDemo1().show();
    }
    
    public BorderLayoutDemo1() {
    	
    	// konstruktor pedka kvli nastaven nzvu okna
    	super("BorderLayoutDemo1");
    	
    	setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
    	
	// toto bude vnitek hlavnho okna
	JPanel p = new JPanel();
	    
	// rozmstn komponent pi okrajch, 
	// podle "svtovch stran"
	p.setLayout(new BorderLayout());
	
	// prvn tlatko doleva ... atd.
	JButton jb1 = new JButton("Prvn je vlevo");
	p.add(jb1, BorderLayout.WEST);
	    
	JButton jb2 = new JButton("Druh je uprosted");
	p.add(jb2, BorderLayout.CENTER);
	    
	JButton jb3 = new JButton("Tet je vpravo");
	p.add(jb3, BorderLayout.EAST);
	    
	JButton jb4 = new JButton("tvrt je nahoe");
	p.add(jb4, BorderLayout.NORTH);
	    
	JButton jb5 = new JButton("Pt je dole");
	p.add(jb5, BorderLayout.SOUTH);
	
	// te teprve pidme panel do hlavnho okna
	setContentPane(p);

        // a upravme velikost, aby se tam vechno velo
	pack();
    }
    
}	
