package tomp.ucebnice.components;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

/**
 * Prvn zpsob definovn a vytven hlavnho okna aplikace:
 * okno je potomkem JFrame (vdy) a vytvo se v metod main
 * t stejn tdy. 
 * Tato metoda je spoutem celho pg.
 */
public class FlowLayoutDemo1 extends JFrame {
	
    public static void main(String[] args) {
	new FlowLayoutDemo1().show();
    }
    
    public FlowLayoutDemo1() {
    	
    	// konstruktor pedka kvli nastaven nzvu okna
    	super("FlowLayoutDemo1");
    	
    	setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
    	
	// toto bude vnitek hlavnho okna
	JPanel p = new JPanel();
	    
	// rozmstn komponent 
	// "volnm tokem/pdem"
	p.setLayout(new FlowLayout());
	
	// prvn tlatko doleva ... atd.
	JButton jb1 = new JButton("Prvn");
	p.add(jb1);
	    
	JButton jb2 = new JButton("Druh");
	p.add(jb2);
	    
	JButton jb3 = new JButton("Tet");
	p.add(jb3);
	    
	JButton jb4 = new JButton("tvrt");
	p.add(jb4);
	    
	JButton jb5 = new JButton("Pt");
	p.add(jb5);
	
	// te teprve pidme panel do hlavnho okna
	setContentPane(p);

        // a upravme velikost, aby se tam vechno velo
	pack();
    }
    
}	
