package tomp.ucebnice.components;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

/**
 * Prvn zpsob definovn a vytven hlavnho okna aplikace:
 * okno je potomkem JFrame (vdy) a vytvo se v metod main
 * t stejn tdy. 
 * Tato metoda je spoutem celho pg.
 */
public class FontDemo1 extends JFrame {
	
    public static void main(String[] args) {
	new FontDemo1().show();
    }
    
    public FontDemo1() {
    	
    	// konstruktor pedka kvli nastaven nzvu okna
    	super("FontDemo1");
    	
    	setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
    	
	// toto bude vnitek hlavnho okna
	JPanel p = new JPanel();
	    
	p.setLayout(new BorderLayout());
	
	// prvn nvt
	JLabel jl1 = new JLabel("Prvn nvt: tun neproporcionln text, modr");
	jl1.setForeground(Color.BLUE);
	jl1.setFont(new Font("Monospaced", Font.BOLD, 12));
	p.add(jl1, BorderLayout.NORTH);
	    
	// druh nvt
	JLabel jl2 = new JLabel("Druh nvt: oby. patkov psmo men, erven");
	jl2.setForeground(Color.RED);
	jl2.setFont(new Font("Serif", Font.PLAIN, 10));
	p.add(jl2, BorderLayout.SOUTH);
	    
	// prvn nvt
	JTextField jtf = new JTextField("Text. pole: oby. input dialog. psmo, zelen");
	jtf.setForeground(Color.GREEN);
	jtf.setFont(new Font("DialogInput", Font.PLAIN, 12));
	p.add(jtf, BorderLayout.WEST);
	    
	// druh nvt
	JButton jb = new JButton("Druh nvt: oby. dialog. psmo");
	jb.setForeground(Color.BLACK);
	jb.setFont(new Font("Dialog", Font.PLAIN, 12));
	p.add(jb, BorderLayout.EAST);
	    
	// te teprve pidme panel do hlavnho okna
	setContentPane(p);

        // a upravme velikost, aby se tam vechno velo
	pack();
    }
    
}	
