package tomp.ucebnice.metody;

class A {
    private void metoda() {
	System.out.print("privatni metoda A ");
    }
}

/** Metodu predka lze prekryt i kdyz je privatni,
  * pak ji ale nelze volat
  */
class B extends A {
    void metoda() {
    	// super.metoda();
	System.out.print("lokalni metoda B ");
    }
}

/** Prava prekryvajici metoda muze zesilit
  * (zvetsit), napr. lokalni v baliku - chranena
  */
class C extends B {
    protected void metoda() {
    	super.metoda();
	System.out.print("chranena metoda C ");
    }
}


/** Prava prekryvajici metoda nesmi zeslabit
  * (zvetsit), napr. lokalni v baliku - chranena
  */

/*  
class CChybne extends B {
    private void metoda() {
    }
}
*/

class D extends C {
    protected void metoda() {
    	super.metoda();
	System.out.print("verejna metoda D ");
    }
}

public class PrekrytiPrava {
    public static void main(String[] args) {

        System.out.print("\nObjekt tridy A: ");
        A a = new A();
        // a.metoda(); // metoda je soukroma

        System.out.print("\nObjekt tridy B: ");
        B b = new B();
        b.metoda(); // metoda je lokalni

        System.out.print("\nObjekt tridy C: ");
        C c = new C();
        c.metoda(); // metoda je chranena

        System.out.print("\nObjekt tridy D: ");
        D d = new D();
        d.metoda(); // metoda je verejna

    }
}