package tomp.ucebnice.polozky;
public class PolozkaFinalize extends Polozka {
    public PolozkaFinalize(String nazev, int pocet) {
        super(nazev, pocet);
    }
    protected void finalize() {
        // pouze informuj o ruen poloky
        System.out.println("Rusim polozku "+info());
    }
    public static void pokusnaMetoda1() {
        // p1 bude platn jen v rmci tto metody
        Polozka p1 = new PolozkaFinalize("Chleb zitny", 100);
    }
    public static void pokusnaMetoda2() {
        Polozka p2 = new PolozkaFinalize("Chleb psenicny", 200);
        // p2 se prave zneplatni...
        p2 = null;
    }
    public static void main(String[] args ) {
        Polozka p3 = new PolozkaFinalize("Bageta velka", 300);
        pokusnaMetoda1();
        pokusnaMetoda2();
        System.gc(); // zru p1 (chleb), zde je u neplatn
        // p2 dosud platn je, neru se
    }
}

