package tomp.ucebnice.swing;

import java.awt.*;
import java.awt.event.*;
import java.util.Random;
import javax.swing.*;

public class HadaniCisla {
	
	private int low;
	private int high;
	private int numberGuess = 0;
	private int maxNumberGuess;
	
	private int theNumber;
	
	public HadaniCisla(int l, int h, int maxGuess) {
		low = l;
		high = h;
		maxNumberGuess = maxGuess;
		theNumber = new Random().nextInt(h-l)+l;
	}
	
	protected int guess(int g) throws NumberGuessExceededException {
		numberGuess++;
		if (numberGuess > maxNumberGuess)
			throw new NumberGuessExceededException();
		return theNumber - g;
	}
	
	public int getLow() {
		return low;
	}

	public int getHigh() {
		return high;
	}
}			 
		
